.air-datepicker {
  width: 100%;
  max-width: fit-content;
  position: absolute;
  z-index: 10000;
  padding: .5rem;
  color: var(--color-muted);
  border-width: 1px;
  border-color: var(--color-input);
  border-radius: var(--radius-md);
  background-color: var(--color-surface);
  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, .05), 0 4px 6px -4px rgba(0, 0, 0, .05);
}

.air-datepicker .-hidden- {
  display: none !important;
}

.air-datepicker .air-datepicker--pointer {
  display: none;
}

/* NAVIGATION */
.air-datepicker .air-datepicker--navigation {
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--action {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 2.25rem;
  height: 2.25rem;
  cursor: pointer;
  border-radius: var(--radius-md);
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--action:hover {
  color: var(--color-foreground);
  background-color: var(--color-muted);
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--action svg {
  display: none;
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--action:after {
  content: " ";
  display: block;
  flex-shrink: 0;
  width: 1rem;
  height: 1rem;
  /* search */
  background-color: var(--color-muted);
  mask-repeat: no-repeat;
  mask-position: center;
  mask-size: 100%;
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--action:hover {
  color: var(--color-muted);
  background-color: var(--color-muted);
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--action:hover:after {
  background-color: var(--color-reverse);
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--action[data-action="prev"]:after {
  mask-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNCIgaGVpZ2h0PSIyNCIgdmlld0JveD0iMCAwIDI0IDI0IiBmaWxsPSJub25lIiBzdHJva2U9ImN1cnJlbnRDb2xvciIgc3Ryb2tlLXdpZHRoPSIyIiBzdHJva2UtbGluZWNhcD0icm91bmQiIHN0cm9rZS1saW5lam9pbj0icm91bmQiIGNsYXNzPSJsdWNpZGUgbHVjaWRlLWNoZXZyb24tbGVmdCI+PHBhdGggZD0ibTE1IDE4LTYtNiA2LTYiLz48L3N2Zz4=");
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--action[data-action="next"]:after {
  mask-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNCIgaGVpZ2h0PSIyNCIgdmlld0JveD0iMCAwIDI0IDI0IiBmaWxsPSJub25lIiBzdHJva2U9ImN1cnJlbnRDb2xvciIgc3Ryb2tlLXdpZHRoPSIyIiBzdHJva2UtbGluZWNhcD0icm91bmQiIHN0cm9rZS1saW5lam9pbj0icm91bmQiIGNsYXNzPSJsdWNpZGUgbHVjaWRlLWNoZXZyb24tcmlnaHQiPjxwYXRoIGQ9Im05IDE4IDYtNi02LTYiLz48L3N2Zz4=");
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--title {
  font-weight: 600;
  font-size: .875rem;
  line-height: 1.25rem;
  user-select: none;
  text-align: center;
}

.air-datepicker .air-datepicker--navigation .air-datepicker-nav .air-datepicker-nav--title i {
  font-style: initial;
}

/* CONTENT */
.air-datepicker .air-datepicker--content {

}

.air-datepicker .air-datepicker--content .air-datepicker-body {
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--day-names {
  display: flex;
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--day-names .air-datepicker-body--day-name {
  display: flex;
  align-items: center;
  flex-shrink: 0;
  justify-content: center;
  width: 2.25rem;
  height: 2.25rem;
  font-weight: 600;
  font-size: .75rem;
  line-height: 1rem;
  user-select: none;
  text-transform: uppercase;
  color: var(--color-muted);
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells.-days- {
  display: grid;
  grid-template-columns: repeat(7, 2.25rem);
  grid-auto-rows: 2.25rem;
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells.-months- {
  display: grid;
  grid-template-columns: repeat(3, 4.5rem);
  grid-auto-rows: 3.25rem;
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells.-years- {
  display: grid;
  grid-template-columns: repeat(3, 4.3rem);
  grid-auto-rows: 3.25rem;
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell {
  display: flex;
  align-items: center;
  flex-shrink: 0;
  justify-content: center;
  font-size: .875rem;
  line-height: 1.25rem;
  cursor: pointer;
  user-select: none;
  color: var(--color-foreground);
  border-radius: var(--radius-md);
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell:not(.-in-range-):not(.-range-to-):not(.-range-from-):not(.-selected-).-focus- {
  color: var(--color-muted);
  background-color: var(--color-muted);
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell.-other-month- {
  pointer-events: none;
  color: var(--color-muted);
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell.-weekend- {
  pointer-events: none;
  opacity: .6;
  color: var(--color-muted);
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell.-range-from-,
.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell.-range-to-,
.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell.-selected- {
  font-weight: 600;
  color: var(--color-reverse-foreground);
  background-color: var(--color-reverse);
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell.-in-range- {
  border-radius: 0;
  background-color: var(--color-secondary);
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell:not(.-range-to-).-range-from- {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell:not(.-range-from-).-range-to- {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.air-datepicker .air-datepicker--content .air-datepicker-body .air-datepicker-body--cells .air-datepicker-cell.-current- {
  font-weight: 800;
}
